# Serialized Form

Package net.dontdrinkandroot.persistence.entity

Class net.dontdrinkandroot.persistence.entity.AbstractEntity extends java.lang.Object implements Serializable

Class net.dontdrinkandroot.persistence.entity.AbstractGeneratedIdEntity extends AbstractEntity<T> implements Serializable

Serialized Fields

### id

    java.lang.Object id

Class net.dontdrinkandroot.persistence.entity.AbstractIdEntity extends AbstractEntity<T> implements Serializable

Serialized Fields

### id

    java.lang.Object id

Class net.dontdrinkandroot.persistence.entity.GeneratedLongIdEntity extends AbstractEntity<java.lang.Long> implements Serializable

Serialized Fields

### id

    java.lang.Long id

Class net.dontdrinkandroot.persistence.entity.LongIdEntity extends AbstractEntity<java.lang.Long> implements Serializable

Serialized Fields

### id

    java.lang.Long id

Package net.dontdrinkandroot.persistence.filter

Class net.dontdrinkandroot.persistence.filter.AbstractFilter extends java.lang.Object implements Serializable

Serialized Fields

### name

    java.lang.String name

Class net.dontdrinkandroot.persistence.filter.NullFilter extends AbstractFilter<T> implements Serializable

Serialized Fields

### isNull

    boolean isNull

### attribute

    javax.persistence.metamodel.SingularAttribute<X,T> attribute

Class net.dontdrinkandroot.persistence.filter.NumericFilter extends AbstractFilter<T> implements Serializable

Serialized Fields

### operator

    NumericOperator operator

### literal

    java.lang.Number literal

### attribute

    javax.persistence.metamodel.SingularAttribute<X,T> attribute

Copyright © 2013 dontdrinkandroot. All Rights Reserved.